Configurando a JRE para funcionar no Ubuntu 8.04 e derivados com Firefox 3

Publicado por Marcelo Cavalcante Rocha em 15/05/2008

[ Hits: 15.027 ]

 


Configurando a JRE para funcionar no Ubuntu 8.04 e derivados com Firefox 3



Saudações galera..

Aqui segue uma rápida dica que poderá ajudar aqueles que, assim como eu, instalaram o *buntu 8.04 e perceberam que o mesmo possui o Firefox 3.0 em seus repositórios como o padrão.

Bom, ao tentar instalar, desde ontem, o plugin do java para poder acessar minha página do banco, encontrei uma solução bem simples depois de várias tentativas frustradas.

Após tentar tudo que sempre utilizei como baixar o jre diretamente do site da sun, descompactar no diretório /usr/java (como sempre fiz por questão de organização), instalar e criar um link simbólico para o mesmo no diretório de plugins do Firefox, e mesmo assim não ter nenhum resultado concreto, pesquisei um pouco e achei uma solução bem mais simples e rápida.

Basta descomentar as linhas referentes aos repositórios multiverse nos seus repositórios (/etc/apt/sources.list), dar um update (# aptitude update) e em seguida instalar os pacotes com o seguinte comando:

# aptitude install sun-java6-jre sun-java6-plugin sun-java6-fonts

Feito isto reinicie o Firefox e digite em sua barra de endereços:

about:plugins

Deverá agora constar em sua lista de plugins os referentes ao java. ;]

Outro teste é digitar no seu console:

$ java -version

Você deverá ter um retorno similar a este:

java version "1.6.0_06"
Java(TM) SE Runtime Environment (build 1.6.0_06-b02)
Java HotSpot(TM) Client VM (build 10.0-b22, mixed mode, sharing)

Ou mesmo acessando alguma página que se utilize de java como o teclado virtual do Banco do Brasil por exemplo.
;]

Bom, espero ter ajudado com esta simples, porém eficiente dica.

Abraços.

Outras dicas deste autor

Asterisk Counter - Seja "contado"

Consertando boot negro do (K)Ubuntu 7.10

Descubra todos os hosts que estão em sua rede com o nmap

AsteriskNow - Solução eficiente para VOIP

Chromium pronto para o Arch - Instalando!

Leitura recomendada

Configurando um VirtualHost no Apache

Instalando driver Nvidia FX e habilitando efeitos no Fedora 11

Biblivre 3 não reconhece o Postgres [Resolvido]

Traduzindo Firefox para pt_BR no Slackware 14.0

Beeps irritantes no Debian 8 [Resolvido]

  

Comentários
[1] Comentário enviado por Maximus77 em 30/10/2008 - 15:24h

Boa Tarde.
No sources.list do Ubuntu Hardy Heron 8.04, não existe essa lista de repositórios.
O JRE que vem por padrão na distro 8.04 é mais atual que esse que vc mencionou:
java version "1.6.0_07"
Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
Java HotSpot(TM) Client VM (build 10.0-b23, mixed mode, sharing)
Obrigado pela dica.
Marcelo

[2] Comentário enviado por kalib em 30/10/2008 - 15:29h

Sim amigo... o meu post foi há 5 meses atrás... Por isso a versão era mesmo mais antiga. ;]

[3] Comentário enviado por facb69 em 07/01/2009 - 09:40h

Marcelo

Eu estava com dificuldade para usar o Java (Banco do Brasil, também..:o>) e nada que eu fizesse dava certo.
Aí li seu artigo e utilizei sua dica; funcionou perfeitamente.
Obrigado por ter disponibilizado a informação para a coletividade!!

[]s
pktp69

[4] Comentário enviado por josealfredo99 em 16/11/2009 - 13:43h

minha permissão ta negada pra "descomentar as linhas referentes aos repositórios multiverse nos seus repositórios (/etc/apt/sources.list)" como eu faço pra poder utilizar esses comandos???

grato

[5] Comentário enviado por josealfredo99 em 16/11/2009 - 13:44h

obs..minha versão é a ubuntu 8.04



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts